KConfigSkeleton::ItemEnum Class Reference

`#include <kconfigskeleton.h>`

Inheritance diagram for KConfigSkeleton::ItemEnum:

## Public Member Functions

| ItemEnum (const QString &group, const QString &key, int &reference, const QValueList< Choice > &choices, int defaultValue=0)
QValueList< Choice > | choices () const
void | readConfig (KConfig *config)
void | writeConfig (KConfig *config)
Public Member Functions inherited from KConfigSkeleton::ItemInt
| ItemInt (const QString &group, const QString &key, int &reference, int defaultValue=0)
void | setProperty (const QVariant &p)
QVariant | property () const
QVariant | minValue () const
QVariant | maxValue () const
void | setMinValue (int)
void | setMaxValue (int)

## Detailed Description

Class for handling enums.

Definition at line 498 of file kconfigskeleton.h.

## Member Function Documentation

void KConfigSkeleton::ItemEnum::readConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to read the value for this setting from a config file.

value.

Reimplemented from KConfigSkeleton::ItemInt.

Definition at line 289 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemEnum::writeConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to write the value of this setting to a config file.

Implements KConfigSkeletonItem.

Definition at line 318 of file kconfigskeleton.cpp.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys